Get Custom Roles switch status
curl --request GET \
--url https://api.partoo.co/v2/org/{org_id}/switch_to_custom_roles \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/org/{org_id}/switch_to_custom_roles"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/org/{org_id}/switch_to_custom_roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"org_id": 42,
"has_switched": true,
"can_switch": false
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Custom Roles
Get Custom Roles switch status
Get the current status of the organization’s switch to Custom Roles. This endpoint returns information about whether the organization has switched to Custom Roles and whether they are allowed to switch.
GET
/
org
/
{org_id}
/
switch_to_custom_roles
Get Custom Roles switch status
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Unique ID of the organization to which the resource belongs. Only PROVIDER users can access resources from a different organization than their own. If you are not a PROVIDER, this will default to the ID of your organization.
Response
Successfully retrieved switch status
Was this page helpful?